Telegram APIPhone
phone.requestCall
Start a telegram phone call, see here » for more info on the full flow.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
workspaceId*string
Workspace ID
accountId*string
Telegram account ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
params*
Start a telegram phone call, see here » for more info on the full flow.
Response Body
application/json
application/json
curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/phone.requestCall" \ -H "Content-Type: application/json" \ -d '{ "params": { "userId": { "_": "inputUserEmpty" }, "randomId": 0, "gAHash": "string", "protocol": { "_": "phoneCallProtocol", "minLayer": 0, "maxLayer": 0, "libraryVersions": [ "string" ] } } }'{ "result": { "_": "phone.phoneCall", "phoneCall": { "_": "phoneCallEmpty", "id": "string" }, "users": [ { "_": "userEmpty", "id": 0 } ] }}receivedCall
Optional: notify the server that the user is currently busy in a call: this will automatically refuse all incoming phone calls until the current phone call is ended, see [here »](https://core.telegram.org/api/calls#one-to-one-calls) for more info on the full flow.
saveCallDebug
Send [phone call](https://core.telegram.org/api/calls#call-debug) debug data to server.